var _____WB$wombat$assign$function_____ = function(name) {return (self._wb_wombat && self._wb_wombat.local_init && self._wb_wombat.local_init(name)) || self[name]; };
if (!self.__WB_pmw) { self.__WB_pmw = function(obj) { this.__WB_source = obj; return this; } }
{
  let window = _____WB$wombat$assign$function_____("window");
  let self = _____WB$wombat$assign$function_____("self");
  let document = _____WB$wombat$assign$function_____("document");
  let location = _____WB$wombat$assign$function_____("location");
  let top = _____WB$wombat$assign$function_____("top");
  let parent = _____WB$wombat$assign$function_____("parent");
  let frames = _____WB$wombat$assign$function_____("frames");
  let opener = _____WB$wombat$assign$function_____("opener");

/*
 * mute-images.js
 *
 * Hide all images.
 *
 * Released under the MIT license
 * Copyright (c) 2015 boku
 *
 * Usage:
 *   $config['additional_javascript'][] = 'js/jquery.min.js';
 *   $config['additional_javascript'][] = 'js/mute-images.js';
 *
 */

$(document).ready(function(){
	$('head').append('<style type="text/css"> .muteimages .post-image:not(:hover) { opacity: 0.03; } </style>');
	$('hr:first').before('<div style="text-align:right"><a class="unimportant" href="javascript:void(0)" id="mute_images">'+_('Mute all images')+'</a></div>');
	
	if (!localStorage.imagesmuted){
		localStorage.imagesmuted = 'false';
	}

	// Load data from HTML5 localStorage
	var isMuted = JSON.parse(localStorage.imagesmuted),
	    store_data = function() {
			localStorage.imagesmuted = JSON.stringify(isMuted);
		};

	if(isMuted){
		$('body').addClass('muteimages');
		$('#mute_images').text(_('Unmute all images'));
	}   

    $('#mute_images').on('click', function(){
    	if(isMuted){
			$('body').removeClass('muteimages');
			isMuted = false;
			$('#mute_images').text(_('Mute all images'));
		}else{
			$('body').addClass('muteimages');
			isMuted = true;
			$('#mute_images').text(_('Unmute all images'));
		}

		store_data();
		return false; 
    });
});


}
/*
     FILE ARCHIVED ON 10:14:48 Apr 28, 2024 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 12:39:40 May 10, 2024.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
/*
playback timings (ms):
  captures_list: 1.825
  exclusion.robots: 0.35
  exclusion.robots.policy: 0.334
  esindex: 0.017
  cdx.remote: 12.565
  LoadShardBlock: 5109.729 (3)
  PetaboxLoader3.datanode: 5112.728 (5)
  PetaboxLoader3.resolve: 103.009 (3)
  load_resource: 152.495 (2)
*/